My Project: dgTree< OBJECT, KEY > Class Template Reference

My Project

Classes | Public Member Functions | Friends | List of all members
dgTree< OBJECT, KEY > Class Template Reference

`#include <dgTree.h>`

## Classes

class | dgTreeNode
class | Iterator

## Public Member Functions

| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (KEY key) const
dgTreeNode * | FindGreater (KEY key) const
dgTreeNode * | FindGreaterEqual (KEY key) const
dgTreeNode * | FindLessEqual (KEY key) const
dgTreeNode * | GetNodeFromInfo (OBJECT &info) const
dgTreeNode * | Insert (const OBJECT &element, KEY key, bool &elementWasInTree)
dgTreeNode * | Insert (const OBJECT &element, KEY key)
dgTreeNode * | Insert (dgTreeNode *const node, KEY key)
dgTreeNode * | Replace (OBJECT &element, KEY key)
dgTreeNode * | ReplaceKey (KEY oldKey, KEY newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, KEY key)
void | Remove (KEY key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Friends

class | dgTreeNode

## Constructor & Destructor Documentation

## § dgTree()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::dgTree | ( | dgMemoryAllocator *const | allocator | ) |

## § ~dgTree()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::~dgTree | ( |  | ) |

virtual

## Member Function Documentation

## § Find()

template<class OBJECT , class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Find | ( | KEY | key | ) | const

## § FindGreater()

template<class OBJECT , class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::FindGreater | ( | KEY | key | ) | const

## § FindGreaterEqual()

template<class OBJECT , class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::FindGreaterEqual | ( | KEY | key | ) | const

## § FindLessEqual()

template<class OBJECT , class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::FindLessEqual | ( | KEY | key | ) | const

## § GetAllocator()

template<class OBJECT , class KEY >

dgMemoryAllocator * dgTree< OBJECT, KEY >::GetAllocator | ( |  | ) | const

## § GetCount()

template<class OBJECT , class KEY >

dgInt32 dgTree< OBJECT, KEY >::GetCount | ( |  | ) | const

## § GetNodeFromInfo()

template<class OBJECT, class KEY >

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::GetNodeFromInfo | ( | OBJECT & | info | ) | const

## § GetRoot()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::GetRoot | ( |  | ) | const

## § Insert() [1/3]

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Insert | ( | const OBJECT & | element,
|  | KEY | key,
|  | bool & | elementWasInTree
| ) |  |

## § Insert() [2/3]

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Insert | ( | const OBJECT & | element,
|  | KEY | key
| ) |  |

## § Insert() [3/3]

template<class OBJECT, class KEY>

dgTreeNode* dgTree< OBJECT, KEY >::Insert | ( | dgTreeNode *const | node,
|  | KEY | key
| ) |  |

## § Maximum()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Maximum | ( |  | ) | const

## § Minimum()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Minimum | ( |  | ) | const

## § operator dgInt32()

template<class OBJECT , class KEY >

dgTree< OBJECT, KEY >::operator dgInt32 | ( |  | ) | const

## § Remove() [1/2]

template<class OBJECT , class KEY>

void dgTree< OBJECT, KEY >::Remove | ( | KEY | key | ) |

## § Remove() [2/2]

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Remove | ( | dgTreeNode *const | node | ) |

## § RemoveAll()

template<class OBJECT , class KEY >

void dgTree< OBJECT, KEY >::RemoveAll | ( |  | ) |

## § Replace()

template<class OBJECT, class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::Replace | ( | OBJECT & | element,
|  | KEY | key
| ) |  |

## § ReplaceKey() [1/2]

template<class OBJECT , class KEY>

dgTree< OBJECT, KEY >::dgTreeNode * dgTree< OBJECT, KEY >::ReplaceKey | ( | KEY | oldKey,
|  | KEY | newKey
| ) |  |

## § ReplaceKey() [2/2]

template<class OBJECT, class KEY>

dgTreeNode* dgTree< OBJECT, KEY >::ReplaceKey | ( | dgTreeNode *const | node,
|  | KEY | key
| ) |  |

## § SanityCheck()

template<class OBJECT , class KEY >

bool dgTree< OBJECT, KEY >::SanityCheck | ( |  | ) | const

## § SetAllocator()

template<class OBJECT , class KEY >

void dgTree< OBJECT, KEY >::SetAllocator | ( | dgMemoryAllocator *const | allocator | ) |

## § SwapInfo()

template<class OBJECT , class KEY >

void dgTree< OBJECT, KEY >::SwapInfo | ( | dgTree< OBJECT, KEY > & | tree | ) |

## § Unlink()

template<class OBJECT, class KEY>

void dgTree< OBJECT, KEY >::Unlink | ( | dgTreeNode *const | node | ) |

## Friends And Related Function Documentation

## § dgTreeNode

template<class OBJECT, class KEY>

friend class dgTreeNode

friend

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgTree.h